# GLM: glm::gtx::unsigned_int Namespace Reference

# glm::gtx::unsigned_int Namespace Reference

GLM_GTX_unsigned_int extension: Add support for unsigned integer for core functions. More...

## Typedefs

typedef signed int | sint
| 32bit signed integer.

## Functions

uint | mod (uint x, uint y)
| Modulus.
uint | pow (uint x, uint y)
| Returns x raised to the y power.
uint | sqrt (uint x)
| Returns the positive square root of x.

## Detailed Description

GLM_GTX_unsigned_int extension: Add support for unsigned integer for core functions.

## Typedef Documentation

typedef signed int sint

32bit signed integer.

From GLM_GTX_unsigned_int extension.

Definition at line 33 of file unsigned_int.hpp.

## Function Documentation

uint glm::gtx::unsigned_int::mod | ( | uint | x,
|  | uint | y |
| ) |  |  |

Modulus.

Returns x - y * floor(x / y) for each component in x using the floating point value y. From GLM_GTX_unsigned_int extension.

uint glm::gtx::unsigned_int::pow | ( | uint | x,
|  | uint | y |
| ) |  |  |

Returns x raised to the y power.

From GLM_GTX_unsigned_int extension.

uint glm::gtx::unsigned_int::sqrt | ( | uint | x | ) |

Returns the positive square root of x.

From GLM_GTX_unsigned_int extension.